<?php if ( !defined( 'ABSPATH' ) ) exit(); 

	if( isset( $args['id'] ) ) {
		$id = $args['id'];
	} else {
		$id = get_the_id();
	}
    
    $type 	= $args['type'] ? $args['type'] : 'type1';

	$thumbnail   	= wp_get_attachment_image_url(get_post_thumbnail_id() , 'anova_thumbnail' );
	if ( $thumbnail == '') {
	    $thumbnail  =  \Elementor\Utils::get_placeholder_image_src();
	}

	$ova_met_gallery_give 	= get_post_meta( $id, 'ova_met_gallery_give', true ) ? get_post_meta( $id, 'ova_met_gallery_give', true ) 	: '';
	$ova_met_media_give 	= get_post_meta( $id, 'ova_met_media_give', true ) 	 ? get_post_meta( $id, 'ova_met_media_give', true ) 		: 'javascript:;';
	$show_goal 				= give_get_meta( $id, '_give_goal_option', true ) 	 ? get_post_meta( $id, '_give_goal_option', true ) 		: '';
	$anova_progress_stats   = apply_filters( 'anova_progress_stats', $id );
	$limit_text		     	= $args['limit_text'] ? $args['limit_text'] : 12;
	$excerpt       		 	= wp_trim_words(get_the_excerpt(),$limit_text,'...');
	$to_go                  = $anova_progress_stats['to_go'] ? $anova_progress_stats['to_go'] : '';
	

?>

	<div class="ova_give_detail ova_give_detail-<?php echo esc_attr($type); ?>">

		<div class="image_future">

			<div class="thumbnail">
				<a href="<?php echo get_the_permalink( $id ); ?>">
					<img src="<?php echo esc_url( $thumbnail ); ?>" alt="<?php the_title(); ?>">
				</a>
			</div>

			<div class="media">

				<ul class="gallery_archive">
					<?php if ( $ova_met_gallery_give ) {
						foreach ( $ova_met_gallery_give as $key => $value ) { ?>
							<li><a href="<?php echo esc_attr( $value ); ?>" data-fancybox="group_<?php echo esc_attr( $id ); ?>"><img src="<?php echo esc_attr( $value ); ?>" alt="<?php echo esc_attr( $key ); ?>"></a></li>
						<?php }
					} ?>
				</ul>

				<?php if ( $ova_met_gallery_give !='') {?>
					<a href="javascript:;" data-fancybox-trigger="group_<?php echo esc_attr( $id ); ?>" class="gallery"><i class="fas fa-photo-video"></i></a>
				<?php } ?>

				<?php if ( $ova_met_media_give !='' && $ova_met_media_give !='javascript:;') {?>
					<a href="<?php echo esc_attr( $ova_met_media_give ); ?>" class="video"><i class="icomoon icomoon-play-button"></i></a>
				<?php } ?>

			</div>

			<?php 
				$give_type  = !is_wp_error( get_the_terms( $id, 'give_forms_category') ) ? get_the_terms( $id, 'give_forms_category') : '' ;

				$value_give_type = array();
				if ( $give_type != '' ) {
					foreach ( $give_type as $value ) {
						$value_give_type[] = $value->term_id ? '<a class="give_type" href="'.get_term_link($value->term_id).'">' .$value->name. '</a>': "";
					}
				}
			?>
			
		</div>
		
		<div class="detail_body">

			<?php if ( !empty(array_filter($value_give_type)) ) { ?>
				<div class="post_cat">
					<?php echo implode( '&nbsp;', $value_give_type ); ?>
				</div>
			<?php } ?>

			<h3 class="title">
				<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
			</h3>

			<?php if( $excerpt != '') { ?>
				<p class="desc"><?php echo esc_html( $excerpt ); ?></p>
			<?php }?>

			<?php if ( $show_goal != 'disabled' ) { ?>
				<div class="give-progress">

					<span class="project-percent" data-percent=<?php echo esc_attr( $anova_progress_stats['progress'] ); ?>  >
							
						<?php if ($show_goal != 'disabled') { ?>
							<span class="percentage">
								<?php echo esc_html( $anova_progress_stats['progress'] . '%' ); ?>
							</span>
						<?php } ?>
					
					</span>
				</div>
			<?php } ?>

			<div class="raised">
				<?php if ($show_goal != 'disabled') { ?>
					<div class="goal">
						<span><?php esc_html_e( 'Goal:', 'anova' ); ?></span>
						<span><?php echo esc_html( $anova_progress_stats['goal'] ); ?></span>
					</div>
				<?php } ?>
				<div class="income">
					<span><?php esc_html_e( 'Raised:', 'anova' ); ?></span>
					<span><?php echo esc_html( $anova_progress_stats['actual'] ); ?></span>
				</div>
				<?php if ($to_go != '') { ?>
					<div class="to_go">
						<span><?php esc_html_e( 'To go:', 'anova' ); ?></span>
						<span><?php echo esc_html( $to_go ); ?></span>
					</div>
				<?php } ?>
			</div>

		</div>
	</div>