<?php if ( !defined( 'ABSPATH' ) ) exit(); 

	if( isset( $args['id'] ) ) {
		$id = $args['id'];
	} else {
		$id = get_the_id();
	}

	$type = $args['type'] ? $args['type'] : 'type1';

	$thumbnail   	= wp_get_attachment_image_url(get_post_thumbnail_id() , 'anova_thumbnail' );
	if ( $thumbnail == '') {
	    $thumbnail  =  \Elementor\Utils::get_placeholder_image_src();
	}

	$show_goal 				= give_get_meta( $id, '_give_goal_option', true ) 	 ? get_post_meta( $id, '_give_goal_option', true ) 		: '';
	$anova_progress_stats   = apply_filters( 'anova_progress_stats', $id );
	$limit_text		     	= $args['limit_text'] ? $args['limit_text'] : 12;
	$excerpt       		 	= wp_trim_words(get_the_excerpt(),$limit_text,'...');

?>

	<div class="ova_give_detail ova_give_detail-<?php echo esc_attr($type); ?>">

		<div class="give-detail-content">

			<div class="image_future">

				<div class="thumbnail">
					<a href="<?php echo get_the_permalink( $id ); ?>">
						<img src="<?php echo esc_url( $thumbnail ); ?>" alt="<?php the_title(); ?>">
					</a>
				</div>
				
			</div>
			
			<div class="detail_body">

				<h3 class="title">
					<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
				</h3>
                
                <?php if( $excerpt != '') { ?>
					<p class="desc"><?php echo esc_html( $excerpt ); ?></p>
				<?php }?>

				<?php if ( $show_goal != 'disabled' ) { ?>
					<div class="give-progress">

						<span class="project-percent" data-percent=<?php echo esc_attr( $anova_progress_stats['progress'] ); ?>  >
								
							<?php if ($show_goal != 'disabled') { ?>
								<span class="percentage">
									<?php echo esc_html( $anova_progress_stats['progress'] . '%' ); ?>
								</span>
							<?php } ?>
						
						</span>
					</div>
				<?php } ?>

				<div class="raised">
					<div class="income">
						<span><?php echo esc_html( $anova_progress_stats['actual'] ); ?></span>
						<span><?php esc_html_e( 'Raised', 'anova' ); ?></span>
					</div>

					<?php if ($show_goal != 'disabled') { ?>
						<div class="goal">
							<span><?php echo esc_html( $anova_progress_stats['goal'] ); ?></span>
							<span><?php esc_html_e( 'Goal', 'anova' ); ?></span>
						</div>
					<?php } ?>
				</div>

			</div>

		</div>

	</div>