<?php if ( !defined( 'ABSPATH' ) ) exit();

 $time_format = OVAEV_Settings::archive_event_format_time();
 $list_event = $args['list_events'];

        if ($list_event) {
            ?>
            <div class="list-event">
            <?php
            foreach ( $list_event as $event ) {
                $id     = $event->ID;
                $title  = get_the_title( $id );


                $url_img    = get_the_post_thumbnail_url( $id, 'post-thumbnail' );
                if ( $url_img == '') {
                    $url_img  =  \Elementor\Utils::get_placeholder_image_src();
                }

                $link       = get_the_permalink( $id );

                $ovaev_start_date   = get_post_meta( $id, 'ovaev_start_date_time', true );
                $ovaev_end_date     = get_post_meta( $id, 'ovaev_end_date_time', true );

                $date_start         = $ovaev_start_date != '' ? date_i18n('M d', $ovaev_start_date ) : '';
                $date_end           = $ovaev_end_date   != '' ? date_i18n('M d', $ovaev_end_date ) : '';

                $time_start         = $ovaev_start_date != '' ? date_i18n( $time_format, $ovaev_start_date) : '';
                $time_end           = $ovaev_end_date   != '' ? date_i18n( $time_format, $ovaev_end_date)   : '';

                $ovaev_venue        = get_post_meta( $id, 'ovaev_venue', true ); 

                ?>

                    <div class="item-event">

                       <div class="ova-thumb-nail">
                           <a href="<?php echo $link ?>" style="background-image:url(<?php echo esc_url( $url_img ) ?>)"></a>
                          
                            <?php if( $date_start == $date_end && $date_start != '' ){ ?>
                                <div class="time">
                                    <span class="date">
                                        <?php echo esc_html( $date_start );?>
                                    </span>
                                </div>
                            <?php } else{ ?>
                                <div class="time">
                                    <span class="date">
                                        <?php echo esc_html( $date_start ) ;?>
                                    </span>
                                    <span class="date date-end">
                                        <?php echo esc_html( $date_end ) ;?>
                                    </span>
                                </div>
                            <?php } ?>
                       </div>

                       <div class="ova-content">

                           <h3 class="title">
                               <a class="second_font" href="<?php echo $link ?>">
                                   <?php echo $title ?>
                               </a>
                           </h3>

                            <?php if( $date_start == $date_end && $date_start != '' ){ ?>
                                <div class="time">
                                    <i class="icomoon icomoon-clock icon_event"></i>
                                    <span class="date">
                                        <?php echo esc_html( $time_start ).' / '.$time_end; ?>
                                    </span>
                                </div>
                            <?php } else{ ?>
                                <div class="time">
                                    <i class="icomoon icomoon-clock icon_event"></i>
                                    <span><?php echo esc_html( $time_start ).' / ' ; ?></span>
                                    <span><?php echo esc_html( $time_end ); ?></span>
                                </div>
                            <?php } ?>

                           <?php if( ! empty( $ovaev_venue ) ) { ?>
                                <div class="venue">
                                    
                                    <i class="icomoon icomoon-maps icon_event"></i>
                                    
                                    <span class="number">
                                        <?php echo esc_html( $ovaev_venue ); ?>
                                    </span>
                                    
                                </div>
                            <?php } ?>

                            <?php if( apply_filters( 'ovaev_show_more_date_text', true ) ){ ?>
                                <a href="<?php the_permalink() ?> " class="more_date_text" data-id="<?php echo get_the_id(); ?>">
                                    <span><?php esc_html_e( 'More', 'ovaev' ); ?></span>  
                                </a>
                            <?php } ?>
                       </div>

                    </div>

                <?php                                   
            }

            ?>

            </div>

            <div class="button_event">
                <a  href="<?php echo esc_url( apply_filters('ovaev_upcomming_event_url', get_post_type_archive_link( 'event' ))); ?>">
                    <?php esc_html_e( 'View all events', 'ovaev' ) ?>
                    <i data-feather="chevron-right"></i>
                </a>
            </div>

            <?php
        }